"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const saga = ({
  promise
}, {
  handlers,
  sideEffects,
  adapter,
  name = 'TEST-SAGA-READ-MODEL'
}) => {
  if (promise[_constants.symbol].phase !== _constants.Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[_constants.symbol].handlers = handlers != null ? handlers : {};
  promise[_constants.symbol].sideEffects = sideEffects != null ? sideEffects : {};
  promise[_constants.symbol].adapter = adapter;
  promise[_constants.symbol].name = name;
  promise[_constants.symbol].phase = _constants.Phases.SAGA;
  return promise;
};

var _default = saga;
exports.default = _default;
//# sourceMappingURL=saga.js.map